//############################################################################
//
// EZFB ~ Linux Frame Buffer API ~
//
// by James Lehman
// james@akrobiz.com
//
// began: Feb. 2001
//
// EZFB is intended to give C programmers an easy-to-use library of functions
// for drawing points, lines and strings of characters into the Linux frame
// buffer. It also provides a means of displaying bitmap images on any portion
// of the screen and capturing the contents of any portion of the screen to
// a standard bitmap graphics file. All of this is embodied in a set of
// functions that are polymorphic with regard to the characteristics of the
// frame buffer and the bitmap files used. In other words, it makes no
// difference what the screen height or width is or what the color depth is,
// all of the function calls are the same and will have appropriate and
// predictable effects.
//
// This software is distributed in the hope that it will be useful, but
// without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose. See the GNU General Public License
// for more details.
//
//############################################################################

#include "ezfb.h"

//############################################################################
struct ezfb fb = {0};

//############################################################################
int main(int argc, char** argv)
{
EZFB_FUNCTION_CALL_0
    printf("Program begins:\n");
    if(argc > 2)
	{
		if(fb_name_to_num(argv[2])) // not /dev/fb0
		{
			if(!init_named_ezfb_no_save(&fb, argv[2])) // don't save video RAM
				exit(1);
		}
		else
		{
			if(!init_named_ezfb(&fb, argv[2]))
				exit(1);
		}
	}
    else if(!init_ezfb(&fb))
	{
        exit(1);
	}
    clear_ezfb(&fb);
    if(argc > 1)
        bmp_file_to_ezfb_center(&fb, argv[1]);
    else
        bmp_file_to_ezfb_center(&fb, "bmp/me.bmp");
    wait_4_key();
    release_ezfb(&fb);
EZFB_FUNCTION_RETURN(!ret)
}

//############################################################################
//////////////////////////////////////////////////////////////////////////////
//############################################################################


